<?php

// 获取志愿者活动列表
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_volunteer_event_detail.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$eventId = ParamUtil::getRequestNumber("eventId", 0);

$result = array();


//参数检查
if(empty($unionId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

//查询志愿者活动
$volunteerDat = VolunteerEventDat::getById($eventId);
if(empty($userList)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

$userMst = $userList[0];

//是否已经报名参加
$isMember = false;
$param = array();
$param['volunteer_event_id'] = $userMst->id;
$param['user_id'] = $userMst->id;
$param['delete_flg'] = false;
$userList = UserMst::getListCount($param,'id','desc', 0, 1);

//判断用户身份分别获取数据
$volunteerEventList = array();

//[1：家园用户]
if($userMst->role == 1) {
	//志愿者活动[列表显示：本校志愿者活动 + 领导机构发布的包含本区域的志愿者活动+社会机构发布的面向本区域的志愿者活动]
	$param = array();
	$param['school_no'] = $userMst->school_no;
	$param['original_source'] = $userMst->school_no;
	$param['status'] = "OK";
	$param['delete_flg'] = false;
	$volunteerEventList = VolunteerEventDat::getList($param,'id','desc', 0, 1);
}

//[2：家校用户]
if($userMst->role == 2) {
	//志愿者活动[首页只显示本校发布的最新一条志愿者活动]
	$param = array();
	$param['school_no'] = $userMst->school_no;
	$param['original_source'] = $userMst->school_no;
	$param['status'] = "OK";
	$param['delete_flg'] = false;
	$volunteerEventList = VolunteerEventDat::getList($param,'id','desc', 0, 1);
	
	//社会实践
	$param = array();
	$param['school_no'] = $userMst->school_no;
	$param['original_source'] = $userMst->school_no;
	$param['delete_flg'] = false;
	$socialEventList = SocialEventDat::getList($param,'id','desc', 0, 1);
	
	//亲子活动【家校用户无亲子活动】
}

//[3：高职用户]
if($userMst->role == 3) {
	//志愿者活动[首页只显示本校发布的最新一条志愿者活动]
	$param = array();
	$param['school_no'] = $userMst->school_no;
	$param['original_source'] = $userMst->school_no;
	$param['delete_flg'] = false;
	$volunteerEventList = VolunteerEventDat::getList($param,'id','desc', 0, 1);
}

//[4：教育局领导]
if($userMst->role == 4) {
	//志愿者活动[首页管辖区域发布的最新一条志愿者活动]
	$param = array();
	$param['province'] = $userMst->province;
	$param['city'] = $userMst->city;
	$param['district'] = $userMst->district;
	$param['delete_flg'] = false;
	$volunteerEventList = VolunteerEventDat::getList($param,'id','desc', 0, 1);
}

//[5：社会用户]
if($userMst->role == 5 {
	//志愿者活动[首页显示所在区域内面向社会用户发布的志愿者活动]
	$param = array();
	$param['province'] = $userMst->province;
	$param['city'] = $userMst->city;
	$param['district'] = $userMst->district;
	$param['include_social_user'] = true;
	$param['delete_flg'] = false;
	$volunteerEventList = VolunteerEventDat::getList($param,'id','desc', 0, 1);
}

//[6：机构用户]
if($userMst->role == 6) {
	//志愿者活动[首页显示所在区域内面向社会用户发布的志愿者活动]
	$param = array();
	$param['province'] = $userMst->province;
	$param['city'] = $userMst->city;
	$param['district'] = $userMst->district;
	$param['include_social_user'] = true;
	$param['delete_flg'] = false;
	$volunteerEventList = VolunteerEventDat::getList($param,'id','desc', 0, 1);
}


//组装返回数据
$result["volunteerEventList"] = $volunteerEventList;

ErrorLogger::doOutput("Compass...ajax_get_volunteer_event_detail.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>